MANDB(8)

NOM
mandb - Créer ou mettre à jour les bases de données d'indexation des pages de manuel

SYNOPSIS
mandb [-dqsucpt?V] [-C fichier] [chemin_vers_man]
mandb [-dqsut] [-C fichier] -f nom_de_fichier ...

DESCRIPTION
mandb est employé pour initialiser ou mettre à jour manuellement les bases de données d'indexation qui sont habituellement exploitées par man. Ces bases de données forment un « cache » du système de fichiers qui contient les pages de manuel. Elles contiennent l'état actuel du système de pages de manuel ainsi que les informations qui y sont stockées. Elles sont exploitées par les utilitaires de man-db pour accroître leur vitesse et leurs fonctionnalités. Lors de la création ou de la mise à jour d'une base de données d'indexation, mandb avertira des mauvaises requêtes ROFF .so, des noms de fichier erronés et des pages de manuel depuis lesquelles la partie whatis ne peut pas être analysée. On peut préciser à mandb une liste de structures hiérarchiques de pages de manuel. Les éléments de la liste sont délimités par « : ». Cette liste remplacera celle du système, déterminée à partir des informations trouvées dans le fichier de configuration de man-db.

BASE DE DONNÉES D'INDEXATION
mandb peut être compilé pour gérer un des types suivants de bases de données.
Nom | Type | Async | Nom de fichier
Berkeley db | Arbre Binaire | Oui | index.bt
GNU gdbm v >= 1.6 | Hachage | Oui | index.db
GNU gdbm v < 1.6 | Hachage | Non | index.db
UNIX ndbm | Hachage | Non | index.(dir|pag)
Les moteurs de bases de données qui gèrent les mises à jour asynchrones accroissent la vitesse au prix d'un risque de corruption en cas d'arrêt anormal. Dans le cas, peu probable, où cela se produirait, il serait nécessaire de réexécuter mandb avec l'option -c pour recréer les bases de données à partir de zéro.

OPTIONS

-d, --debug
    Affiche les informations de mise au point.

-q, --quiet
    Ne crée pas d'avertissement.

-s, --no-straycats
    Évite de perdre du temps à rechercher ou à ajouter, aux bases de données, des informations concernant les fichiers « cat » parasites.

-p, --no-purge
    Évite de perdre du temps à vérifier les pages de manuel supprimées et à les purger des bases de données.

-c, --create
    Par défaut, mandb essaiera de mettre à jour les bases de données précédemment créées. Si une base de données n'existe pas, elle sera créée. Cette option force mandb à supprimer les bases de données existantes et à les recréer à partir de zéro. Cette option entraîne l'option --no-purge. Cela peut être nécessaire si une base de données est corrompue ou si un nouveau système de gestion de base de données est implanté à l'avenir.

-u, --user-db
    Crée seulement des bases de données « utilisateur », même si on possède les permissions d'écriture nécessaires pour créer des bases de données « système ».

-t, --test
    Exécute les contrôles de validité des pages de manuel de la liste des structures hiérarchiques du chemin de recherche. Avec cette option, mandb ne modifie pas les bases de données existantes.

-f, --filename
    Met à jour seulement les entrées correspondant au nom du fichier donné. Cette option n'est pas d'un usage courant. Elle est utilisée par man, lorsqu'il a été compilée avec l'option MAN_DB_UPDATES, et qu'il constate qu'une page n'est pas à jour. Cette option induit l'option -p et annule les options -c et -s.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier ~/.manpath par défaut.

-?, --help
    Affiche un mode d'emploi puis s'arrête.

--usage
    Affiche un court mode d'emploi et s'arrête.

-V, --version
    Affiche la version puis s'arrête.

CODE DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration

2   Erreur d'exécution.

3   Un processus fils a échoué.

DIAGNOSTICS
Les messages d'avertissement suivants peuvent être générés pendant la construction de la base de données.

<nom_de_fichier>: la recherche de whatis sur page(sec) a échoué
    L'extraction de la ou des lignes de whatis à partir du <nom_de_fichier> indiqué a échoué. Ceci est habituellement dû à une page de manuel mal écrite, mais si beaucoup de messages de ce type sont émis, il est probable que le système contienne des pages de manuel non standard, incompatibles avec l'analyseur de whatis de man-db. Consultez la section ANALYSE WHATIS de lexgrog(1) pour plus d'informations.

<nom_de_fichier>: est un lien symbolique flottant
    <nom_de_fichier> n'existe pas mais est pointé par un lien symbolique. Des informations complémentaires sont habituellement émises pour identifier le <nom_de_fichier> du lien « en l'air ».

<nom_de_fichier>: lien symbolique ou directive ROFF .so incorrect
    <nom_de_fichier> est un lien symbolique, ou contient une requête ROFF, vers un fichier inexistant.

<nom_de_fichier>: nom de fichier erroné, ignoré
    Le <nom_de_fichier> peut être ou non une page de manuel correcte, mais son nom est invalide. Cela est habituellement dû à une page de manuel appartenant à une section <x> stockée dans la section <y> des pages de manuel.

<nom_de_fichier_générique>: extentions en conflit
    Le <nom_de_fichier_générique> n'a pas de correspondance unique. Ceci est habituellement provoqué par l'existence d'une version compressée et d'une version non compressée de la même page de manuel. Seul le plus récent des fichiers correspondant au <nom_de_fichier_générique> sera exploité.

FICHIERS

/etc/manpath.config
    Fichier de configuration de man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale, conforme à FHS.

Anciens emplacements du cache de la base de données :

/usr/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/catman/index.(bt|db|dir|pag)
    Base de données d'indexation globale de remplacement ou conforme à FSSTND.

VOIR AUSSI
lexgrog(1), man(1), manpath(5), catman(8)

La section ANALYSE WHATIS autrefois incluse dans cette page de manuel est maintenant incorporée à lexgrog(1).

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».